#
# spec file for package mikachan-fonts
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mikachan-fonts
Version:        9.1.2006.08.09
Release:        174.36
Summary:        Free Japanese Fonts in "Handwriting" Style by Mika-Chan
License:        SUSE-NonFree
Group:          System/X11/Fonts
Url:            http://mikachan-font.com/
# Original source is in separate .lzh files, using bzip2 here saves 0.5 MB
# see the "update-archive" script where to download the original .lzh files
# http://mikachan.sourceforge.jp/mikachanALL.lzh
Source0:        mikachan-fonts.tar.bz2
Source1:        http://mikachan.sourceforge.jp/dl.html
Source2:        COPYING
Source10:       update-archive
BuildRequires:  convmv
BuildRequires:  fontpackages-devel
%reconfigure_fonts_prereq
Provides:       scalable-font-ja
Provides:       locale(ja)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This package contains free Japanese fonts in "handwriting" style by Mika-Chan.

%prep
%setup -n %{name}
cp $RPM_SOURCE_DIR/*.html .
cp $RPM_SOURCE_DIR/COPYING .
convmv -f shift_jis -t utf-8 --notest *.ttf

%build

%install
mkdir -p %{buildroot}%{_ttfontsdir}/
install -c -m 644 *.ttf %{buildroot}%{_ttfontsdir}

%reconfigure_fonts_scriptlets -c

%files
%defattr(-, root,root)
%doc COPYING *.html
%{_ttfontsdir}

%changelog
* Wed Feb  5 2014 cfarrell@suse.com
- license update: SUSE-NonFree
  The license is not really permissive - it is very unclear. Can these be
  dropped altogether?
* Wed Jul  4 2012 pgajdos@suse.cz
- amend spec file to reflect new font packaging scheme
  (see openFATE#313536);
* Thu May 17 2012 pgajdos@suse.com
- call spec-cleaner
* Fri Apr 27 2012 pgajdos@suse.com
- SUSE-Permissive license (see COPYING)
* Thu Apr  8 2010 tiwai@suse.de
- remove unnecessary buildrequires for too old distros
* Tue Dec  2 2008 mfabian@suse.de
- Add inofficial translation of the license in
  http://mikachan.sourceforge.jp/dl.html
* Wed Aug  9 2006 mfabian@suse.de
- move fonts to /usr/share/fonts/truetype
  (openSUSE 10.2 will use X11R7).
- update to 9.1.2006.08.09.
* Wed Mar  1 2006 mfabian@suse.de
- add "Provides: locale(ja)".
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec  3 2004 mfabian@suse.de
- use new macro "%%run_suseconfig_fonts -c"
* Mon Sep 13 2004 mfabian@suse.de
- Bugzilla #45156: add "Provides: scalable-font-ja".
* Fri Mar 19 2004 mfabian@suse.de
- use %%suseconfig_fonts_prereq
* Fri Feb 27 2004 mfabian@suse.de
- update to 9.0.2004.02.08
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Tue Feb  3 2004 hmacht@suse.de
- added option # norootforbuild in specfile
* Sun Aug 24 2003 mfabian@suse.de
- new package: mikachan-fonts, Version 8.9.2003.08.11
